Page MenuHomePhabricator

[Migrated] "a" before initial vowel in double square brackets
Closed, DeclinedPublic

Description

AWB typo fixing recognises "a" or "A" before a vowel and corrects it to "an" or "An". All good. However it misses cases where the vowel is separated from the article by link syntax eg "A [[iron..." . An enhancement to recognise this would be good. @Arb 18:21, 2 January 2013 (UTC)

Event Timeline

Reguyla raised the priority of this task from to Needs Triage.
Reguyla updated the task description. (Show Details)
Reguyla added a project: AutoWikiBrowser.
Reguyla moved this task to Feature request (unsorted) on the AutoWikiBrowser board.
Reguyla added subscribers: Reguyla, Aklapper.

@Magioladitis 01:46, 3 January 2013 (UTC) wrote:
I think this is typo fixing and we have a special page for this.

@Arb 03:37, 3 January 2013 (UTC) wrote:
Thanks for pointing that out. Just had a look. If we're on the same page it's all RegX. Not something I've got round to learning yet so someone else will have to code this.

@GoingBatty 04:00, 3 January 2013 (UTC) wrote:
Since AWB prevents typo fixing within wikilinks, I'm not sure that the existing logic would allow us to write a rule that would do this. May want to ask at https://en.wikipedia.org/wiki/Wikipedia talk:AutoWikiBrowser/Typos and provide an example article.

@John_of_Reading 21:35, 17 March 2013 (UTC) wrote:
I've fixed 6,700 of these this month using a database scan and custom find+replace rules. I agree that it would be nice if the standard typo-fixer could do this fix, but I can see that it would be hard to slot into the existing scheme.

@Magioladitis 22:28, 13 May 2013 (UTC) wrote:
Is this done by typo fixing now? Should I archive it?

@GoingBatty 01:47, 14 May 2013 (UTC) wrote:
No it's not, since AWB ignores wikilinks when fixing typos.

Josve05a triaged this task as Medium priority.Aug 23 2015, 1:25 PM
Josve05a added a subscriber: Josve05a.
Magioladitis closed this task as Declined.Aug 1 2016, 8:23 AM

Not a suitable task for AWB. I filled out a bot request.

The bot request is likely to be declined, so this is not a good reason to close this. The request here is to extend AWB typo-fixing to handle phrases involving piped links. AWB typo-fixing always requires editor review and discretion to avoid saving false positives.